アップルワークス6をAppleWorks 6.2 Update.smiによってアップデートしたところ、そのアプリケーションの起動に20秒近くかかるようになりました。
6.0.4の時は3秒では起動したのですが。。
おまけに、PRで作った書類がエラーを起こして起動しなくなりました。#177エラー(?)
どうしてこのようなことがおこったのでしょうか?
自分で原因と想われるのは、「インストールの時に機能拡張をオフにしてインストールしなかったことかな?」とも想いますが、改めて正しくインストールしても結果は同じでした。なお、初期設定のAppleWorksの箱は捨ててやりました。捨てたのが間違いか^^;
みなさんの中にも同じような症状の出ている方はいますか?
私の環境はiBook466 OS9.0.4 メモリ192です。
あと、OS9.1にすれば改善されるのかもしれませんが、OS9.1は、安定性拡張性機能性など、どうでしょうか?すでにアップしているかたは、御感想をお聞かせいただければ幸いです。

A 回答 (5件)

補足です。



アップルからOS9.2.1が出ていますのでそれを入れるのがもしかしたら一番いいかもしれません。
CarbonLibの最新版のおかしな挙動も押さえられていますし。

ただ、103.5Mありますが.....

参考URL:http://downloAd.info.apple.com/Mac_OS/Japanese/M …
    • good
    • 0

>あ、もしかして、「x」って10のことだから、


>9.X→9.1を指すのですか??仮にそうだとして、

  そういうことではないと思いますが、ただ9.1を中心に考えられて作られているとは思います。
ほかのOSのバージョンでも動かすことができるということで。

それとAppleWorksは起動時にハードディスクに頻繁にアクセスしますのでハードディスクが断片化を起こしている場合は起動時間に影響は出ます。
ノートンなどを持っていたらSpeedDiskをかけてやるといいでしょう。

>確かそのバージョンを起動したらパソコンがおかしくなったような。。。

CarbonLibのバージョンとのマッチングの関係もあります。

9.1アップデータを使った場合は最新のCarbonLib1.3.1ではない物がインストールされていて「ソフトウェアアップデート」などでアップデートする形になります。


>自動アップデーターのとき同じ名前のフォルダが二重にできたりしないか心配です。箱から出した方ががいいですかね?

今のところ特にそういった不具合が起きたことはありません。

>エラーがでてアップデーターできませんでした。仕方なく、iMacの基本でアップデートしました。

うーんアップデータを使ったのはずいぶん前で今は9.1のインストールCDを使っているのでちょっとこの現象が起こったかどうか覚えていません。
    • good
    • 0

>厳密には、9.1用なのでしょうか?



いえ9.0.4でも動きます。ただ9.1で最も早く動くように作られているようです。

>それぞれのオペレーティングシステムのバージョンに合わせて最適化されている点が異なります。

という部分はMacOS X用と9.X用のことを書いているのではないでしょうか?

PuntについてはCarbonLib版の9.1対応版が出ていますので9.1ではそれを使った方がいいでしょう。

>asucaさんは、OS9.1をアップデーターして使ったことがありますか?

今は持っているほとんどのマシンが9.1で動いています。

>OS9.1は、安定性拡張性機能性など、どうでしょうか?

問題が出た物もありますがそれほど大きな物には当たりませんでした。
インストール直後は勝手にフォルダの構成を変えられていて混乱しましたが。

G4 400で6秒、7500+G3400で9秒程度でした。

参考URL:http://hp.vector.co.jp/authors/VA010318/soft/ut/ …
    • good
    • 0
この回答へのお礼

御回答有り難うございました。

>ただ9.1で最も早く動くように作られているようです。

9.0.4では、あまりにも遅く動くように作られていますね。20秒**

>という部分はMacOS X用と9.X用のことを書いているのではないでしょうか?

あ、もしかして、「x」って10のことだから、
9.X→9.1を指すのですか??仮にそうだとして、
なぜ、9.1なら9.1って書かないのでしょう??
私は、『X』ってすべてを指すのだと想っていましたが。。。

>PuntについてはCarbonLib版の9.1対応版が出ていますので9.1ではそれを使った方がいいでしょう。

確かそのバージョンを起動したらパソコンがおかしくなったような。。。
今は、『1.20b3』を使っています。これが安定してるみたいです。

>今は持っているほとんどのマシンが9.1で動いています。

プライベートな質問でしたが、お答えいただき恐縮です。

>問題が出た物もありますがそれほど大きな物には当たりませんでした。
インストール直後は勝手にフォルダの構成を変えられていて混乱しましたが。

Applications (Mac OS 9)と言う箱にほとんどがおさまった状態になりますよね^^
私にとっては、書類のフォルダ以外一つにまとめても不具合がでないことが、ハッキリしてよかったのですが、自動アップデーターのとき同じ名前のフォルダが二重にできたりしないか心配です。箱から出した方ががいいですかね?

>G4 400で6秒、7500+G3400で9秒程度でした。

iMacDV500 256 で4秒になりました。
解決しました!有り難うございました。
あ、でも、説明書通りの『機能拡張なし』では、エラーがでてアップデーターできませんでした。仕方なく、iMacの基本でアップデートしました。
asucaさんもそうでしたか?

お礼日時:2001/08/22 01:41

参考URLに記述がありますが「AppleWorks 6.2 Update.smi」はMacOS 9.xの場合AppleWorks 6.0.xを6.1.2にバージョンアップしてくれますがこれは9.1用にカスタマイズされています。



ですから9.1にバージョンアップをすることを私もおすすめします。

何らかの理由でアップデートしたくないのだったら、

carbonLibだけをアップデートしても効果があるかもしれません。

http://www.apple.co.jp/ftp-info/reference/carbon …

また、割り当てメモリを増やしてやることをおすすめします。

参考URL:http://til.info.apple.co.jp/cgi-bin/WebObjects/T …
    • good
    • 0
この回答へのお礼

いつも、お世話になっております。

>AppleWorks 6.0.xを6.1.2にバージョンアップしてくれますがこれは9.1用にカスタマイズされています。

厳密には、9.1用なのでしょうか?
アップルでは
『Mac OS 8.1~9.1の場合はAppleWorks 6.1.2をインストールします。いずれのAppleWorksも共通の機能群を用いていますが、それぞれのオペレーティングシステムのバージョンに合わせて最適化されている点が異なります。』
と言っており、os9.0.4にも最適化されていると解釈できるのですが。。
お教えいただいた参考URLにも「AppleWorks 6.1.2(Mac OS 8.1 - 9.x 用)」との記述もあり、その点は曖昧ですよね。
あとは、実験してみるしかありませんので、9.1にアップデートしたところ、恐れていた色々な不具合の登場です^^;
「Phut 」というソフトのせいならいいのですが。。
9.0.4では、問題なく使っていたソフトなんですが、、
そのソフトのバージョンがいけないのかもしれません。。
carbonLibは、『1.3.1』になっています。
割り当メモリ増しでは効果ありませんでした。。

asucaさんは、OS9.1をアップデーターして使ったことがありますか?
OS9.1は、安定性拡張性機能性など、どうでしょうか?
アップルウォークス6.1.2はどうでしょうか?すぐに起動しますか?

今回も御回答有り難うございました。

お礼日時:2001/08/19 19:12

AppleWorks 6.2はOSX用に調整されたものなので、従来のOS9.xでは起動等色々と問題が出るので


快適に使うには6.04に戻すもしくはOSXの導入を検討した方がいいですよ。

OS9.1は9.04よりカーボンアプリ等を使う時の安定性があがってますのでカーボンアプリを頻繁に使う人ならば9.04から9.1にアップデートした方がいいでしよ。
    • good
    • 0
この回答へのお礼

御回答有り難うございます。

>AppleWorks 6.2はOSX用に調整されたものなので、従来のOS9.xでは起動等色々と問題が出るので
快適に使うには6.04に戻すもしくはOSXの導入を検討した方がいいですよ。

AppleWorks 6.2の『アップデター(?)』で、os9.0.4のアップルウォークス6をアップデートした場合、自動的に6.1.?にアップデートされると説明に書いてありましたので、その点は大丈夫な『はず』です。

>OS9.1は9.04よりカーボンアプリ等を使う時の安定性があがってますのでカーボンアプリを頻繁に使う人ならば9.04から9.1にアップデートした方がいいでしよ。

仰るように「Phut」を使うので9.1にアップデートしたのですが、すぐに不具合がひどくて、困っております。箱のなかが真っ白になったり、強制終了さえできなかったり、終了もできない。。。
私は、パーティションを3つに分けておりまして、他のパーティションには、OS.9.O.4などが入っているのですが、そのせいなのでしょうか?
断片化ですかね。。

お礼日時:2001/08/19 18:28

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!

このQ&Aを見た人が検索しているワード


このカテゴリの人気Q&Aランキング

おすすめ情報

カテゴリ